Results 1 to 10 of 10

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: New iPhone 4, Tiny Umbrella says invalid device

  1. #1
    I got a new in box iPhone 4 that came with 6.0.1 installed on 04.12.02 baseband. I want to jailbreak but do not need to unlock. When I plugged it into tiny umbrella to save blobs it says the device is invalid and there are no blobs for it. I tried to retrieve them with redsnow with no luck either. How do I jailbreak it if tiny umbrella won't even recognize?

    One more thing to add...when I open redsnow and try to jailbreak, right after entering dfu mode I get the message "Error with SHSH blobs!"
    Last edited by mariahorn; 01-25-2013 at 04:55 PM.

  2. #2
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,781
    Thanks
    6,981
    Thanked 15,545 Times in 7,107 Posts

    Make sure you have the latest version of tiny umbrella.

  3. #3
    I have latest version

  4. #4

  5. #5
    6.01.01 and when I check the log it says I am using the current version

  6. #6
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,781
    Thanks
    6,981
    Thanked 15,545 Times in 7,107 Posts

    Ya, that's latest. Very odd it's giving you that message. Have you tried the version before that one?

    Does iTunes see the phone normally?

  7. #7
    Haven't tried the version before that. Have jailbroken a different iPhone 4 and iPad 2 with no problems before. iTunes recognizes phone fine

  8. #8
    Any other ideas? I have tried all the steps on another computer just in case that was the problem (Windows XP and Windows 8) and still no luck. Phone works fine but can't jailbreak because it says there are no blobs and Tiny Umbrella says invalid device.

  9. #9
    Still hoping someone can help me. I will pay whoever can make this happen!!!!

    After another 20 or so hours of googling, I found the iphone wiki page that lists each model, firmware, and whether or not it can be jailbroken. The iPhone 4 I got is the 8 gb model. I noticed on iPhone wiki page it only has ios 6.0 and 6.0.1 listed (though it was released prior to those coming out so I don't know why the other firmware files weren't listed like on all the other devices). It says it can not be jailbroken. I can not find any other website to verify or refute this info, but I did find some sites where people could jailbreak it on older iOS versions. So, one last plea...is there anyway I can get SHSH blobs and/or jailbreak this device?

  10. #10
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,781
    Thanks
    6,981
    Thanked 15,545 Times in 7,107 Posts

    You should be able to jailbreak it with redsnow, it will be a tethered jailbreak though. You don't need your SHSH blobs in order to jailbreak, they are only useful in regards to restoring.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •